SDL_GetAtomicInt(3)

NAME
SDL_GetAtomicInt - Get the value of an atomic variable.

HEADER FILE
Defined in SDL3/SDL_atomic.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetAtomicInt(SDL_AtomicInt *a);

DESCRIPTION

Note: If you don't know what this function is for, you shouldn't use it!

FUNCTION PARAMETERS

a   a pointer to an SDL_AtomicInt
     variable.

RETURN VALUE
Returns the current value of an atomic variable.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetAtomicInt(3)